var path = require('path');

module.exports = {

    entry: {
        polyfills: './app/polyfills.ts',
        app: './app/main.ts'
    },

    output: {
        path: path.resolve(__dirname, 'build'),
        publicPath: '/build/',
        filename: '[name].js'
    },

    module: {
        loaders: [
            {
                test: /\.ts$/,
                loader: 'awesome-typescript-loader'
            }
        ],
        exprContextCritical: false
    },

    resolve: {
        extensions: ['.js', '.ts']
    },

    devServer: {
        proxy: {
            '/api': {
                target: 'http://localhost:3000',
                secure: false
            }
        }
    }

};
